Skip to Content

WoW Insider has the latest on the Mists of Pandaria!

The obvious report: Wrath will not require Vista

Just in case you were wondering (or if your friend used the mediocre Shadowrun FPS as proof that all games from now on will require Vista), no, we're almost sure that there's no way Wrath of the Lich King will require Windows Vista to run. In fact, even though Neth is only kind of certain in the thread, we'll make it 100%: you won't need Vista to run the next expansion.

Not only is Vista not exactly setting even high-end gamers' hearts afire, but Blizzard is traditionally about as lenient as it gets on system requirements. They did up the ante a little bit when Burning Crusade was released, and we do know that Wrath will require a little more of your computer with those shiny ice shaders (not too much more -- they may ask for more RAM or a faster than the current 800mhz processor). But as much as Microsoft would love what may again be the best selling expansion in the world to require Vista, it's just not going to happen -- Blizzard has too many subscribers here to lock a good number of them with an operating system that's not going over so well.

So ignore what your smirking friend tells you -- if you can run Burning Crusade, you'll be able to run Wrath on the same box.




Filed under: Analysis / Opinion, Blizzard, Forums, Hardware

Reader Comments (Page 1 of 2)

WoW Insider Show 

Subscribe via  iTunes for our latest show.

Hot Topics


 

Upcoming Events

Event Date
WoW's 10th Anniversary 11/21 - 1/5
Pilgrim's Bounty 11/24 - 12/1
Darkmoon Faire 12/7 - 12/14
Feast of Winter Veil 12/16 - 1/2

Around Azeroth

Around Azeroth

Featured Galleries

It came from the Blog: Occupy Orgrimmar
Midsummer Flamefest 2013
Running of the Orphans 2013
World of Warcraft Tattoos
HearthStone Sample Cards
HearthStone Concept Art
Yaks
It came from the Blog: Lunar Lunacy 2013
Art of Blizzard Gallery Opening

 

Categories